Next: 8.2 fnior Up: 8. Fnorb tools Previous: 8. Fnorb tools

#
8.1 `fnidl`

`fnidl` is Fnorb's IDL compiler. It takes interface and type definitions in IDL files, and generates the stub and skeleton code required by Fnorb clients and servers. `fnidl` currently assumes that you have a pre-processor named `gcc`, `cpp`, or `cl.exe` somewhere on your path.

To compile an IDL file use the following command (note that the CORBA specification says that IDL files must have the ```.idl`'' extension):

    $ fnidl IDLFileName.idl

Options currently allowed are those used by your pre-processor plus the following:

`-directory=pathname`
  All Python module and packages generated by `fnidl` will be placed in the directory specified by `pathname` (which must already exist). The default is the current working directory.

`-package=package`
  All Python module and packages generated by `fnidl` will be placed in the specified `package` under the output directory (see above). The package name is in dotted notation (e.g. `foo.bar.baz`) and `fnidl` will create any packages in the package name that do not already exist.

`-globals=basename`
  Stubs and skeletons for IDL definitions at the global scope are put in the packages `basename` and `basename_skel` instead of the default `_GlobalIDL` and `_GlobalIDL_skel`.

Next: 8.2 fnior Up: 8. Fnorb tools Previous: 8. Fnorb tools